import type { Stack, VirtualCode } from '@volar/language-core';
import { Signal } from 'computeds';
import type * as ts from 'typescript';
import type { VueCompilerOptions, VueLanguagePlugin } from '../types';
export declare class VueGeneratedCode implements VirtualCode {
    fileName: string;
    languageId: string;
    initSnapshot: ts.IScriptSnapshot;
    vueCompilerOptions: VueCompilerOptions;
    plugins: ReturnType<VueLanguagePlugin>[];
    ts: typeof import('typescript');
    codegenStack: boolean;
    id: string;
    _snapshot: Signal<ts.IScriptSnapshot>;
    getVueSfc: () => import("@vue/compiler-sfc").SFCParseResult | undefined;
    sfc: import("../types").Sfc;
    getMappings: () => import("@volar/language-core").Mapping<import("../types").VueCodeInformation>[];
    getEmbeddedCodes: () => VirtualCode[];
    codegenStacks: Stack[];
    get embeddedCodes(): VirtualCode[];
    get snapshot(): ts.IScriptSnapshot;
    get mappings(): import("@volar/language-core").Mapping<import("../types").VueCodeInformation>[];
    constructor(fileName: string, languageId: string, initSnapshot: ts.IScriptSnapshot, vueCompilerOptions: VueCompilerOptions, plugins: ReturnType<VueLanguagePlugin>[], ts: typeof import('typescript'), codegenStack: boolean);
    update(newSnapshot: ts.IScriptSnapshot): void;
}
